<ion-menu class="menu" side="start" menu-id="menu" content-id="content">
  <ion-header>
      <ion-toolbar>
        <div class="menubar">
          <ion-icon (click)="closeMenu()" name="chevron-back-outline"></ion-icon>
          <ion-title>Menu</ion-title>
        </div>
      </ion-toolbar>
  </ion-header>
  <ion-content id="content">
    <ion-list>
      <ion-item button (click)="changeTheme()">
        <ion-icon class="menu-icon" name="sunny-outline"></ion-icon>
        Tema escuro
        <ion-toggle slot="end" mode="ios" [(ngModel)]="temaEscuro"></ion-toggle>
      </ion-item>
      <ion-item-group>
        <ion-item-divider>
          <ion-label>Funções</ion-label>
        </ion-item-divider>

        <ion-item *ngFor="let item of news" (click)="changeRoute(item.route)">
            <ion-icon class="menu-icon" [name]="item.icon"></ion-icon>
            <ion-label>{{item.name}}</ion-label>
        </ion-item>
      </ion-item-group>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-menu class="profile" type="overlay" side="end" menu-id="profile" content-id="menu-content">
  <div *ngIf="activePage === 'user'">
    <!-- <ion-header>
      <ion-toolbar>
        <div class="menubar">
          <ion-icon (click)="closeProfile()" name="chevron-back-outline"></ion-icon>
          <div class="title-order">
            <span>{{user.DisplayName || user.LoginName}}</span>
            <img class="noProfileImage" *ngIf="!user.ProfileImage" src="../../assets/icon/user.svg"/>
            <img class="profileImage" *ngIf="user.ProfileImage" [src]="(user?.ProfileImage)"/>
          </div>
        </div>
        <img class="bgProfile" *ngIf="user.ProfileImage" [src]="(user?.ProfileImage)"/>
      </ion-toolbar>
    </ion-header> -->
    <ion-content id="menu-content">
      <div class="profileWrapper">
        <img class="profileImage" [src]="user?.ProfileImage || '../../assets/icon/user.svg'"/>
      </div>
      <img class="bgProfile" [src]="user?.BgImage || '../../assets/bg/default.png'"/>
      <div class="toolbar-profile">
        <ion-icon class="edit" name="create-outline"></ion-icon>
        <ion-icon class="config" name="ellipsis-horizontal"></ion-icon>
      </div>
      <div class="profile-name">
        <span>
          Jane Doe
        </span><br/>
        <span>
          @janedoe3421
        </span>
      </div>
      <div class="social-wrapper">
        <div class="s1">
          <p class="social-title">
            Gostei
          </p>
          <div>
            <img src="https://lorempixel.com/600/600"/>
            <img src="https://lorempixel.com/600/600"/>
            <img src="https://lorempixel.com/600/600"/>
            <img src="https://lorempixel.com/600/600"/>
          </div>
        </div>
        <div class="s2">
          <p class="social-title">
            Amigos
          </p>
          <div>
            <img src="../../assets/bg/default.png"/>
            <img src="../../assets/bg/default.png"/>
            <img src="../../assets/bg/default.png"/>
            <img src="../../assets/bg/default.png"/>
          </div>
        </div>
        <div class="s3">
          <p class="social-title">
            Notificações
          </p>
          <div class="wrapper">
            <div class="comment">
              <div>
                <img src="../../assets/bg/default.png"/>
              </div>
              <div>
                <p>Lorem ipsum</p>
                <div>Lorem ipsum dolor sit amet consectetur adipisicing elit. Numquam amet quod facere! Repellendus in soluta quo eum necessitatibus expedita mollitia eveniet doloribus voluptatibus laudantium illo autem distinctio, provident hic facilis.</div>
                <time>12:01</time>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- <ion-list>
        <ion-item><ion-icon class="menu-icon" name="pencil-outline"></ion-icon>Editar Perfil</ion-item>
        <ion-item button (click)="changeTheme()">
          <ion-icon class="menu-icon" name="sunny-outline"></ion-icon>
          Tema escuro
          <ion-toggle slot="end" mode="ios" [(ngModel)]="temaEscuro"></ion-toggle>
        </ion-item>
        <ion-item button class="button-align" button (click)="logoff()" detail>
          <ion-label>
            Sair
          </ion-label>
        </ion-item>
      </ion-list> -->
    </ion-content>
  </div>

  <div *ngIf="activePage === 'login' && !user">
    <ion-content id="menu-content">
      <div class="login-box">
        <div class="login-input">
          <sub>Usuário</sub>
          <ion-input [(ngModel)]="userLogin.user"></ion-input>
        </div>
        <div class="login-input">
          <sub>Senha</sub>
          <ion-input [type]="!showPassword? 'password' : ''" [(ngModel)]="userLogin.password"></ion-input>
        </div>
        <button class="login-button" (click)="login()">
          Entrar
        </button>
        <br/>
        <br/>
        <p>Não tem conta? <a (click)="activePage = 'registration'">Crie uma agora!</a></p>
        <div class="divider">
          <hr><span>ou</span>
        </div>
        <p class="top-text">Conecte-se através das redes</p>
        <div class="social-button gg"><img width="3rem" src="../../assets/social/gg.svg"/><span>Conta do Google</span></div>
        <div class="social-button tt"><img width="3rem" src="../../assets/social/tt.svg"/><span>Conta do Twitter</span></div>
        <div class="social-button fb"><img width="3rem" src="../../assets/social/fb.svg"/><span>Conta do Facebook</span></div>
        <p class="bottom-text">Esqueci minha senha! 😥</p>
      </div>
    </ion-content>
  </div>

  <div *ngIf="activePage === 'registration'">
    <ion-header>
      <ion-toolbar>
        <div class="menubar">
          <ion-icon (click)="activePage = 'login'" name="chevron-back-outline"></ion-icon>
          <ion-title>Criar conta</ion-title>
        </div>
      </ion-toolbar>
    </ion-header>
    <ion-content id="menu-content">
      <ion-item>
        <ion-label>Usuário: </ion-label>
        <ion-input [(ngModel)]="userRegistration.user"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Nome em Exibição: </ion-label>
        <ion-input (change)="changeDisplayName($event)" [ngModel]="userRegistration.displayName || userRegistration.user"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Email: </ion-label>
        <ion-input [(ngModel)]="userRegistration.email" type="email"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Senha: </ion-label>
        <ion-input [type]="!showPassword? 'password' : ''" [(ngModel)]="userRegistration.password"></ion-input>
        <ion-button shape="round" color="dark" *ngIf="showPassword" (click)="showPassword=!showPassword">
          <ion-icon class="show-icon" name="eye-outline"></ion-icon>
        </ion-button>
        <ion-button shape="round" color="dark" *ngIf="!showPassword" (click)="showPassword=!showPassword">
          <ion-icon class="show-icon" name="eye-off-outline"></ion-icon>
        </ion-button>
      </ion-item>
      <ion-item>
        <ion-label>Confirmar sua Senha: </ion-label>
        <ion-input [type]="!showPassword? 'password' : ''" [(ngModel)]="userRegistration.confirmPassword"></ion-input>
        <ion-button shape="round" color="dark" *ngIf="showPassword" (click)="showPassword=!showPassword">
          <ion-icon class="show-icon" name="eye-outline"></ion-icon>
        </ion-button>
        <ion-button shape="round" color="dark" *ngIf="!showPassword" (click)="showPassword=!showPassword">
          <ion-icon class="show-icon" name="eye-off-outline"></ion-icon>
        </ion-button>
      </ion-item>
      <ion-item button class="button-align" button (click)="registrate()" detail>
        <ion-label>
          Criar
        </ion-label>
      </ion-item>
    </ion-content>
  </div>

  <div *ngIf="activePage === 'confirmation' && !(user?.Active)">
    <ion-header>
      <ion-toolbar>
        <div class="menubar">
          <ion-icon (click)="closeProfile()" name="chevron-back-outline"></ion-icon>
          <ion-title>Confirmação de conta!</ion-title>
        </div>
      </ion-toolbar>
    </ion-header>
    <ion-content id="menu-content">
      <div class="center-text">
        <p>Um token de 6 dígitos foi enviado para {{ userRegistration.email || 'seu e-mail' }}.</p>
        <h1>Token</h1>
        <div class="token-align">
          <input (keyup)="enter($event)" [(ngModel)]="validation"/>
        </div>
        <p>Enquanto sua conta não for confirmada você só poderá interagir com as postagens através do botão <ion-icon aria-placeholder="Gostei" name="heart" style="color: #ff2c69"></ion-icon>. </p>
        <ion-button color="light" expand="block" (click)="completeRegistration()">Confirmar Conta</ion-button>
      </div>
      <div class="button-wrapper">
        <ion-item color="danger" button class="button-align" button (click)="logoff()" detail>
          <ion-label>
            Sair
          </ion-label>
        </ion-item>
      </div>
    </ion-content>
  </div>
</ion-menu>

<ion-header [translucent]="true">
  <ion-toolbar>
    <div class="toolbar">
      <ion-icon (click)="openMenu()" name="menu"></ion-icon>
      <span class="logo">
        STARHUB
      </span>
      <ion-icon *ngIf="!user" (click)="openProfile()" name="log-in-outline"></ion-icon>
      <div *ngIf="user">
        <img *ngIf="user.ProfileImage else placeholder" (click)="openProfile()" [src]="user.ProfileImage"/>
        <ng-template #placeholder>
          <ion-icon (click)="openProfile()" name="person-circle-outline"></ion-icon>
        </ng-template>
      </div>
    </div>
  </ion-toolbar>
</ion-header>

<ion-tabs>
  <ion-tab-bar slot="bottom">

    <ion-tab-button *ngFor="let item of news" (click)="resetNotifications(item.name)" [tab]="item.route">
      <ion-icon [name]="item.icon"></ion-icon>
      <ion-label>{{item.name}}</ion-label>
      <ion-badge *ngIf="item.badgeCount > 0" color="primary">{{item.badgeCount}}</ion-badge>
    </ion-tab-button>
  </ion-tab-bar>
</ion-tabs>
